Skip to main content
GET
/
gdpr
/
export
Export all personal data (DSGVO Art. 15)
curl --request GET \
  --url https://api.getovra.com/gdpr/export \
  --header 'Authorization: Bearer <token>'
{
  "exportedAt": "2023-11-07T05:31:56Z",
  "ownerId": "<string>",
  "dataResidency": "<string>",
  "agents": [
    "<unknown>"
  ],
  "policies": [
    "<unknown>"
  ],
  "intents": [
    "<unknown>"
  ],
  "transactions": [
    "<unknown>"
  ],
  "ledgerEntries": [
    "<unknown>"
  ],
  "cards": [
    "<unknown>"
  ],
  "apiKeys": [
    "<unknown>"
  ],
  "agentTokens": [
    "<unknown>"
  ],
  "consent": {
    "ownerId": "<string>",
    "termsAcceptedAt": "2023-11-07T05:31:56Z",
    "privacyAcceptedAt": "2023-11-07T05:31:56Z",
    "marketingOptIn": true,
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key (sk_...) or Agent token (at_...)

Response

Full data export as JSON

exportedAt
string<date-time>
ownerId
string
dataResidency
string
agents
any[]
policies
any[]
intents
any[]
transactions
any[]
ledgerEntries
any[]
cards
any[]
apiKeys
any[]
agentTokens
any[]